> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mobilerun.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Models

> List available LLM models.



## OpenAPI

````yaml /api-reference/tasks.yaml get /models
openapi: 3.1.0
info:
  title: Tasks
  version: v1
servers:
  - description: Droidrun Cloud API
    url: https://api.mobilerun.ai/v1
security:
  - bearerAuth: []
paths:
  /models:
    get:
      tags:
        - Models
      summary: List Models
      description: List available LLM models.
      operationId: list_models
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelListResponse'
          description: Successful Response
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Mobilerun from '@mobilerun/sdk';

            const client = new Mobilerun({
              apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
            });

            const models = await client.models.list();

            console.log(models.data);
        - lang: Python
          source: |-
            import os
            from mobilerun_sdk import Mobilerun

            client = Mobilerun(
                api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"),  # This is the default and can be omitted
            )
            models = client.models.list()
            print(models.data)
components:
  schemas:
    ModelListResponse:
      properties:
        data:
          description: Available models
          items:
            $ref: '#/components/schemas/ModelItem'
          title: Data
          type: array
        object:
          default: list
          description: Object type
          title: Object
          type: string
      required:
        - data
      title: ModelListResponse
      type: object
    ModelItem:
      properties:
        created:
          default: 0
          description: Creation timestamp
          title: Created
          type: integer
        id:
          description: Model identifier
          title: Id
          type: string
        object:
          default: model
          description: Object type
          title: Object
          type: string
        owned_by:
          description: Model owner/provider
          title: Owned By
          type: string
      required:
        - id
        - owned_by
      title: ModelItem
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: Opaque
      description: Bearer token via Authorization header
      scheme: bearer
      type: http

````